{ pkgs, ... }:
let
  wallpaper = pkgs.fetchurl {
    url = "https://files.huwe.mooo.com/Oneshot.png";
    hash = "sha256-LaIzLCW86sbldE9lk7psbYKaTCjwaPLcoD3il6FalTw=";
  };
  plymouth_logo = pkgs.fetchurl {
    url = "https://files.huwe.mooo.com/outlinenobackground.png";
    hash = "sha256-HdErySgSwNSPEHyBywLyZCAss4vUhsY8BvCPe5hST6Q=";
  };
in
{

  stylix = {
    enable = true;

    autoEnable = true;

    base16Scheme = "${pkgs.base16-schemes}/share/themes/pasque.yaml";
    override = {
      base0D = "F3196E";
      base0F = "CFAACF";
    };

    image = wallpaper;

    polarity = "dark";

    targets.plymouth.logo = plymouth_logo;
    
  };

}
